Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model
Class DataControlDefinitionFactory

`java.lang.Object
oracle.adf.model.DataControlDefinitionFactory`

All Implemented Interfaces:
  oracle.adf.model.binding.DefinitionFactory

public class DataControlDefinitionFactory
extends java.lang.Object
implements oracle.adf.model.binding.DefinitionFactory

Field Summary
`static java.lang.String` | `ADAPTER_DATACONTROL`
`static java.lang.String` | `BC4J_DATACONTROL`
`static java.lang.String` | `DATACONTROL`
`static java.lang.String` | `EJB_DATACONTROL`
`static java.lang.String` | `JAVABEAN_DATACONTROL`
`static java.lang.String` | `TOPLINK_DATACONTROL`
`static java.lang.String` | `WEBSERVICE_DATACONTROL`

Constructor Summary
`DataControlDefinitionFactory()`

Method Summary
`oracle.adf.model.binding.DCDefBase` | `createDefinition(oracle.jbo.mom.xml.DefElement element)` Create definition based on element information

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATACONTROL

    public static final java.lang.String DATACONTROL

  See Also:
    Constant Field Values

### BC4J_DATACONTROL

    public static final java.lang.String BC4J_DATACONTROL

  See Also:
    Constant Field Values

### JAVABEAN_DATACONTROL

    public static final java.lang.String JAVABEAN_DATACONTROL

  See Also:
    Constant Field Values

### ADAPTER_DATACONTROL

    public static final java.lang.String ADAPTER_DATACONTROL

  See Also:
    Constant Field Values

### EJB_DATACONTROL

    public static final java.lang.String EJB_DATACONTROL

  See Also:
    Constant Field Values

### TOPLINK_DATACONTROL

    public static final java.lang.String TOPLINK_DATACONTROL

  See Also:
    Constant Field Values

### WEBSERVICE_DATACONTROL

    public static final java.lang.String WEBSERVICE_DATACONTROL

  See Also:
    Constant Field Values

Constructor Detail

### DataControlDefinitionFactory

    public DataControlDefinitionFactory()

Method Detail

### createDefinition

    public oracle.adf.model.binding.DCDefBase createDefinition(oracle.jbo.mom.xml.DefElement element)

  Description copied from interface: `oracle.adf.model.binding.DefinitionFactory`
  Create definition based on element information
  Specified by:
    `createDefinition` in interface `oracle.adf.model.binding.DefinitionFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.